Subject: bug#29098: 26.0.90; [PATCH] 2 patches: initial-buffer-choice and python-indent-dedent-line-backspace

From: Eli Zaretskii <[email-masked]>
Date: Wed, 01 Nov 2017 21:36:02 +0200

> From: Alex <[email-masked]>
> Date: Tue, 31 Oct 2017 23:24:48 -0600
> 
> I have 2 small patches that I think should go to emacs-26, and I'm not
> sure if they deserve their own individual reports. Is this alright, or
> should I split them up in the future?

If they are unrelated (as in this case, I believe), it is best to
split them.

> >From 922fe8f466ad039f65fb423af6636bfd1695f039 Mon Sep 17 00:00:00 2001
> From: Alexander Gramiak <[email-masked]>
> Date: Tue, 31 Oct 2017 21:10:52 -0600
> Subject: [PATCH 1/2] Improve error messages regarding initial-buffer-choice
> 
> * lisp/startup.el (command-line-1) <initial-buffer-choice>: Make the
> messages conform to Emacs conventions, and show the invalid return
> value in the message.

This looks okay to me.

> >From 50bd5bd058b71031f84c4d5a4d511353c671d66d Mon Sep 17 00:00:00 2001
> From: Alexander Gramiak <[email-masked]>
> Date: Tue, 31 Oct 2017 22:36:16 -0600
> Subject: [PATCH 2/2] Delete active region instead of de-indenting in
>  python-mode
> 
> This conforms to the behaviour of `backward-delete-char-untabify' when
> there's an active region.  183f9296f1 fixes this behaviour for
> `delete-selection-mode' only.
> 
> * lisp/progmodes/python.el (python-indent-dedent-line): Restructure
> and check for an active region conditionally using a new optional
> argument.
> (python-indent-dedent-line-backspace): Use the new argument to
> `python-indent-dedent-line'.
> * test/lisp/progmodes/python-tests.el: Add test.

I'll let users of Python mode to comment on this.

Thanks.